application:
  process:
    id: OPER01
    name: ITS Web Server
    region-name: 포항시

server:
  port: 8996
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never

spring:
  output:
    ansi:
      enabled: always

  thymeleaf:
    cache: false
    check-template-location: true
    suffix: .html
    order: 0
  servlet:
    context-path: /
    session:
      tracking-mode: cookie
      timeout: 600
    multipart:
      enabled: true
      file-size-threshold: 2KB
      max-file-size: 200MB
      max-request-size: 215MB

  profiles:
    active: prod
  main:
    banner-mode: off
  application:
    name: its-op-server
  jackson:
    property-naming-strategy: LOWER_CASE
  datasource:
    hikari:
      auto-commit: true
      connection-test-query: SELECT 1 FROM DUAL
      minimum-idle: 10
      #maximum-pool-size: 50
      pool-name: pool-its-web-server

logging:
  level:
    org.hibernate.SQL: ERROR
    org:
      springframework:
        #security: DEBUG
        jdbc:
          core:
            JdbcTemplate: ERROR
            StatementCreatorUtils: ERROR
      hibernate:
        type:
          descriptor:
            sql:
              BasicBinder: ERROR

#jasypt:
#  encryptor:
#    bean: jasyptStringEncryptor
#    property:
#      prefix: ENC(
#      suffix: )